org.apache.commons.jelly.tags.junit

## Class JellyTestSuite

- java.lang.Object
- - org.apache.commons.jelly.tags.junit.JellyTestSuite

    public abstract class JellyTestSuite
    extends Object

An abstract base class for creating a TestSuite via a Jelly script.

Version:
  $Revision: 155420 $
Author:
  James Strachan

### Constructor Summary

Constructors
Constructor and Description
`JellyTestSuite()`

### Method Summary

Methods
`static junit.framework.TestSuite` `createTestSuite(Class testClass, String script)` Helper method to create a test suite from a file name on the class path in the package of the given class.
`static junit.framework.TestSuite` `createTestSuite(URL script)` Helper method to create a test suite from the given Jelly script

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JellyTestSuite

    public JellyTestSuite()

### Method Detail

#### createTestSuite

    public static junit.framework.TestSuite createTestSuite(Class testClass,
                                            String script)
                                                     throws Exception

Helper method to create a test suite from a file name on the class path in the package of the given class. For example a test could call `createTestSuite( Foo.class, "suite.jelly" );` which would loaad the 'suite.jelly script from the same package as the Foo class on the classpath.

Parameters:
  `testClass` - is the test class used to load the script via the classpath
  `script` - is the name of the script, which is typically just a name, no directory.
Returns:
  a newly created TestSuite
Throws:
  `Exception`

#### createTestSuite

    public static junit.framework.TestSuite createTestSuite(URL script)
                                                     throws Exception

Helper method to create a test suite from the given Jelly script

Parameters:
  `script` - is the URL to the script which should create a TestSuite
Returns:
  a newly created TestSuite
Throws:
  `Exception`